Bug 977384 - rhsm-icon does not display any message when the subscription for installed product is about to expire today
rhsm-icon does not display any message when the subscription for installed pr...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.10
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 5.10
Assigned To: Carter Kozak
IDM QE LIST
:
Depends On:
Blocks: rhsm-rhel510
  Show dependency treegraph
 
Reported: 2013-06-24 08:28 EDT by Shwetha Kallesh
Modified: 2013-07-10 14:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-10 14:31:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shwetha Kallesh 2013-06-24 08:28:58 EDT
Description of problem:
rhsm-icon does not display any message when the subscription for installed product is about to expire today

Version-Release number of selected component (if applicable):
[root@shwethahostname ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.8.15-1
subscription-manager: 1.8.10-1.git.34.95627c0.el6
python-rhsm: 1.8.12-1.git.0.d747a65.el6

How reproducible:


Steps to Reproduce:
1.[root@shwethahostname ~]# subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Awesome OS Instance Server Bits
Product ID:     32060
Version:        6.1
Arch:           ALL
Status:         Subscribed
Status Details: 
Starts:         05/24/2013
Ends:           06/24/2013
                ^^ subscription will end today

[root@shwethahostname ~]# date
Mon Jun 24 17:59:51 IST 2013


[root@shwethahostname ~]# rhsm-icon -c 20

(rhsm-icon:28460): libnotify-CRITICAL **: notify_notification_close: assertion `notification != NULL' failed

(rhsm-icon:28460): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(rhsm-icon:28460): libnotify-CRITICAL **: notify_notification_close: assertion `notification != NULL' failed

(rhsm-icon:28460): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(rhsm-icon:28460): libnotify-CRITICAL **: notify_notification_close: assertion `notification != NULL' failed

(rhsm-icon:28460): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed


Actual results:


Expected results:


Additional info:
Comment 2 Carter Kozak 2013-07-10 14:31:23 EDT
#rct cat-cert /etc/pki/entitlement/7798217476720442582.pem | grep Warning
        Warning Period: 0

The warning period on this entitlement is 0 days, so the icon will never show up.

However this uncovered a bug where subscription-manager gui attached subscriptions would always warn you that they're about to expire 42 days before, without checking the warning_period

Note You need to log in before you can comment on or make changes to this bug.